# class Rect

#### package js.html.svg

Available on HTML5

The `SVGRect` represents a rectangle. Rectangles consist of codex/code and codey/code coordinate pair identifying a minimum X value, a minimum Y value, and a width and height, which are constrained to be non-negative.

Documentation SVGRect by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/SVGRect

### Variables

###

`height:Float`

###

`width:Float`

###

`x:Float`

###

`y:Float`